using UnityEngine;

namespace Cryville.Crtr {
	internal class Master : MonoBehaviour {
#pragma warning disable IDE0044
		[SerializeField]
		private GameObject m_menu;
#pragma warning restore IDE0044

		internal void ShowMenu() {
			m_menu.SetActive(true);
		}

		internal void HideMenu() {
			m_menu.SetActive(false);
		}

		void OnApplicationQuit() {
			Game.Shutdown();
		}
	}
}
